require_relative 'IBrowser'
Dir["../lib/dailyrep/entities/*.rb"].each {|file|require file }

module DailyRep
  class AppContainer
    def initialize
      @track_array = []
      Configer.enabled_entities.each { |entity|
        @track_array.concat(DailyRep::Entities::const_get(entity.capitalize).create)
      }
    end


    def start!
      #all objects running
      @track_array.each { |obj|
        obj.run
      }
    end

    def write_html
      IBrowser.write_html if Configer.is_phase_enabled? "write_html"
    end
  end
end
