# -*- encoding: utf-8 -*-
# stub: dailyrep 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "dailyrep".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Yurii Kurylenko".freeze]
  s.date = "2015-02-16"
  s.description = "This is Ruby App collects the information you need (currency, new torrents, etc) from various web sites.\n\n  Main features:\n    - local SQlite3 database to store history info\n    - devices notification over PushBullet service\n    - recent information visualization via html\n    - flexible configuration using json file\n\n  Currently available web site notificattions:\n    - http://minfin.com.ua -  UAH/USD currency\n    - http://micex.ru/  - RUB/USD currency\n    - http://dou.ua/ - new IT job opportunities\n    - http://kinozal.tv/ - new movies available on torrent\n    - http://news.yandex.ru/ - Breny Oil rate\n\nAs the example (app reloads index.html file that is shared thought Google Drive):\n  www.googledrive.com/host/0Byb1mtPn4ZEAVm9zTUJQbHM2U0U".freeze
  s.email = "yuriy.kurilenko7@gmail.com".freeze
  s.executables = ["dailyrep".freeze]
  s.files = ["bin/dailyrep".freeze]
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Ruby app that provides values checking on particular websites and performs notification".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<hashdiff>.freeze, [">= 0.0.2"])
    s.add_runtime_dependency(%q<activerecord>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<sqlite3>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rake>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<washbullet>.freeze, [">= 0"])
  else
    s.add_dependency(%q<hashdiff>.freeze, [">= 0.0.2"])
    s.add_dependency(%q<activerecord>.freeze, [">= 0"])
    s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<nokogiri>.freeze, [">= 0"])
    s.add_dependency(%q<washbullet>.freeze, [">= 0"])
  end
end
